Bug 99002 - [DEBUGGER] Cannot run debugger installed from UC
[DEBUGGER] Cannot run debugger installed from UC
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-26 15:56 UTC by Tomas Danek
Modified: 2007-07-03 14:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2007-03-26 15:56:59 UTC
NetBeans IDE Dev (Build 200703251800)
1.6.0_01; Java HotSpot(TM) Client VM 1.6.0_01-b04
Linux version 2.6.17-10-generic running on i386
cs_CZ (nb); UTF-8
---------------------------------------------
- installed ruby umbrella 0.45.0 which now contains ruby debugger 0.73.
- created ruby app and invoked F5


java.lang.NoClassDefFoundError: Could not initialize class
org.netbeans.modules.ruby.debugger.RubyDebugger
Comment 1 Martin Krauskopf 2007-03-27 06:16:36 UTC
Yes, I see. There are missing nbproject/project.properties#extra.module.files.
As soon as my NB_CVS update/build finish I'll commit :)
Comment 2 Martin Krauskopf 2007-03-27 07:34:47 UTC
Fixed in debugger version 0.74

Checking in debugger/build.xml;
new revision: 1.3; previous revision: 1.2
Checking in debugger/manifest.mf;
new revision: 1.7; previous revision: 1.6
Checking in debugger/nbproject/project.properties;
new revision: 1.4; previous revision: 1.3
Checking in debugger/src/org/netbeans/modules/ruby/debugger/RubyDebugger.java;
new revision: 1.6; previous revision: 1.5
Checking in kit/nbproject/project.xml;
new revision: 1.34; previous revision: 1.33
Comment 3 Tomas Danek 2007-03-29 10:51:32 UTC
great, works out of the box. Verified in 0.74
Comment 4 Jiri Kovalsky 2007-07-03 14:04:56 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 5 Jiri Kovalsky 2007-07-03 14:45:58 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo